Bug 212679 - wptg_tbt:t13y:please provide comments for these DNT strings
wptg_tbt:t13y:please provide comments for these DNT strings
Status: RESOLVED INCOMPLETE
Product: xml
Classification: Unclassified
Component: XSL
7.2
All All
: P2 (vote)
: TBD
Assigned To: Svata Dedic
issues@xml
: I18N
Depends on:
Blocks: 212666
  Show dependency treegraph
 
Reported: 2012-05-18 07:51 UTC by Marian Mirilovic
Modified: 2012-06-26 08:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2012-05-18 07:51:54 UTC
There are some strings in Netbeans 7.2 t13y analysis, which are regarded as DNT
strings by our tool. please help to confirm if they are translatable or not, if
they are translatable, please change their format to initial caps.

Strings with underscores are treated as Read-Only by our tool. Please change the format if you want to prevent this string from being read-only. It is physically impossible for us to translate it in its current format.


netbeans/ide/xsl/xsl/org/netbeans/modules/xsl/ui/Bundle.properties	

NAME_plusNameIfSameName	_output
Comment 1 Marian Mirilovic 2012-05-18 07:53:21 UTC
belongs to xsl
Comment 2 Svata Dedic 2012-05-18 15:13:28 UTC
question: I'd like to have the thing translatable, but the string is a suffix of the filename. Using _ in the translated string is widely used - we should probably avoid special chars or spaces in filenames, if possible. 

I can easily change the key (is there a spec on how the bundle key should be formatted), but I would be rather strict with the translated string.
Comment 3 Masaki Katakai 2012-05-28 08:58:53 UTC
If the string will be used in a part of file name,
let's use just ascii characters and mark it as #NOI18N string.
Because using localized/multibyte characters in file name
would cause unexpected error and it's not good for compatibility.

So how about adding just #NOI18N comment?
Comment 4 Svata Dedic 2012-05-28 09:05:10 UTC
Suppose we make the string NOI18N. Then if a French user uses the XSL tool on 'exemple.xml', she will receive an output file "exemple_output.xml" instead of "exemple_resultat.xml". Surely workable, but IMHO not ideal from translation completness point of view.
Re. multibyte characters in filenames - I agree, and it should be noted in the bundle file.
Comment 5 Svata Dedic 2012-06-26 08:36:32 UTC
No further response, closing as INCOMPLETE, as it is not obvious what should be fixed. 
The string is translatable and the translated value should start with underscore  as one of the few non-alphanumeric chars widely accepted as part of filename. I would strongly discourage hardcoding the separator in the code.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo